プロジェクト内のすべてのワークスペースにわたってワークスペース スコープのシークレットメタデータを集計します。秘密値は返されません。個々のワークスペースが読み取れない場合は、部分的な失敗リストを持つ 200 を返します。
GET /api/v1 /orgs/{orgId}/projects/{projectId}/workspace-secrets
curl \
--request GET 'https://agentengine.mongodb.com/api/v1/orgs/{orgId}/projects/{projectId}/workspace-secrets' \
--header "Authorization: $API_KEY"
応答の例(406)
操作は利用できません
{
"detail": "This operation is not available in API version 2026-09-20-preview.",
"error": 406,
"errorCode": "OPERATION_NOT_IN_API_VERSION",
"parameters": [
"Accept"
],
"reason": "Not Acceptable"
}
{
"detail": "This operation supports text/event-stream, which the Accept header excludes. Remove unsupported media-type parameters or accept this type with a positive q value.",
"error": 406,
"errorCode": "UNACCEPTABLE_MEDIA_TYPE",
"parameters": [
"Accept"
],
"reason": "Not Acceptable"
}
{
"detail": "The requested API version is not supported. Supported versions: 2026-09-20-preview.",
"error": 406,
"errorCode": "UNSUPPORTED_API_VERSION",
"parameters": [
"Accept"
],
"reason": "Not Acceptable"
}
応答の例(406)
{
"detail": "This operation is not available in API version 2026-09-20-preview.",
"error": 406,
"errorCode": "OPERATION_NOT_IN_API_VERSION",
"parameters": [
"Accept"
],
"reason": "Not Acceptable"
}
応答の例(200)
{
"failed_workspaces": [
{
"error_message": "string",
"workspace_id": "string",
"workspace_name": "string"
}
],
"secrets": [
{
"created_at": "string",
"description": "string",
"name": "string",
"updated_at": "string",
"version": 42,
"workspace_id": "string",
"workspace_name": "string"
}
],
"truncated": true
}
応答の例(200)
{
"failed_workspaces": [
{
"error_message": "string",
"workspace_id": "string",
"workspace_name": "string"
}
],
"secrets": [
{
"created_at": "string",
"description": "string",
"name": "string",
"updated_at": "string",
"version": 42,
"workspace_id": "string",
"workspace_name": "string"
}
],
"truncated": true
}
応答の例(400)
{
"code": "string",
"error": "string",
"success": true
}
応答の例(400)
{
"code": "string",
"error": "string",
"success": true
}
応答の例(403)
{
"code": "string",
"error": "string",
"success": true
}
応答の例(403)
{
"code": "string",
"error": "string",
"success": true
}
応答の例(500)
{
"code": "string",
"error": "string",
"success": true
}
応答の例(500)
{
"code": "string",
"error": "string",
"success": true
}
応答の例(502)
{
"code": "string",
"error": "string",
"success": true
}
応答の例(502)
{
"code": "string",
"error": "string",
"success": true
}